Subject: Export of %operating-system-packages

From: Jakob Kirsch <[email-masked]>
Date: Sun, 7 Jul 2024 20:02:51 +0200

Hello,

I've been playing around with my system configuration a bit and I wanted 
to build a system with a kind of pipeline that I can pass my 
operating-system object through.

For that, I figured out that I can use set-fields from (srfi srfi-9 gnu) 
to modify the operating-system object using the accessor for the 
relevant field.

That works for most fields but doesn't work for 
operating-system-packages since that is locked behind a wrapper function 
for filtering out nss-certs that calls %operating-system-packages.

%operating-system-packages isn't exported so my approach fails.

Would it be possible to export %operating-system-packages and all other 
raw accessors so you can freely modify operating-system objects?